Subject: RE: bug#16251: 24.3.50; `icomplete-mode' breaks my file opening now

From: Drew Adams <[email-masked]>
Date: Sat, 28 Dec 2013 08:01:55 -0800 (PST)

> >  completion-all-completions: 680 ms
> >  deleting duplicates:         70 ms
> >  sorting:                    470 ms
> >
> > Of course, sorting depends on the sort predicate.  This was with
> > a directories-first-then-alphabetical sort.
> 
> How much time does sorting take if you request just alphabetical,
> without directories-first?  It should take zero on Windows; if it
> doesn't, our sorting algorithm should be improved.

I no longer have the debugging set up for this (calls to `message'
etc., since it is impossible to use the debugger with Icomplete).  

But IIRC it was not very different from that.  But this the sorting
I use here is the Icicles sorting, so the efficiency of its
implementation should be irrelevant to emacs -Q.  That is, if
Icicle mode is on, I use the current Icicles sort function.